﻿@model Avira.MarketingResearch.Model.ViewModels.ProjectDashBoard.ProjectViewModel
@{
    ViewData["Title"] = "ProjectTracker";
    Layout = "~/Views/Shared/_LayoutWithoutLeftMenu.cshtml";

    @using Microsoft.AspNetCore.Http
    @using Newtonsoft.Json;
    @using Avira.MarketingResearch.Model.ViewModels;
    var Permissions = Context.Session.GetString("PermissionList");
    var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
    var PermissionList = JsonConvert.DeserializeObject<List<PermissionsByUserRoleIdViewModel.PermissionByRoleId>>(Permissions);
    var permission = PermissionList.FirstOrDefault(x => x.PermissionName.Equals(controllerName));
    var userRoleName = Context.Session.GetString("UserRoleName");
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
    @*@Html.Partial("_TrackHeader", (Guid)@Model.Id)*@

    <div class="row">
    </div>
    <div class="section-with-top-border p-b-25">
        <div class="row">
            <div class="col-lg-2">
                <div class="clearfix">
                    <h5>Project-Name:</h5>
                </div>
            </div>
            <div class="col-lg-3 text-left">
                <div class="clearfix">
                    <h5> @Model.ProjectName</h5>
                </div>

            </div>

        </div>
        <div class="section-container section-with-top-border">
            <!-- begin panel -->
            <!-- begin panel -->
            <div class="panel">
                <div class="panel-heading">
                    <h4 class="panel-title">Project Tracker</h4>
                </div>
                <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped table-td-valign-middle">
                        <thead>
                            <tr class="inverse">
                                <th></th>
                                <th class="text-center">Trends Form</th>
                                <th class="text-center">Company Profile Form</th>
                                <th class="text-center">Market Sizing Form</th>
                                <th class="text-center">Qualitative Form</th>
                                <th class="text-center">Primaries Form</th>
                                <th class="text-center">Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th>Status</th>
                                <td class="text-center">28/9/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Author</th>
                                <td class="text-center">27/9/2015</td>
                                <td class="text-center">Recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Approver</th>
                                <td class="text-center">25/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Standard Time</th>
                                <td class="text-center">25/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Actual Time Spent</th>
                                <td class="text-center">25/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Completion (%)</th>
                                <td class="text-center">25/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Effeciency (%)</th>
                                <td class="text-center">22/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Approved (%)</th>
                                <td class="text-center">22/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Start Date</th>
                                <td class="text-center">22/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Deadline</th>
                                <td class="text-center">22/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                            <tr>
                                <th>Last Action</th>
                                <td class="text-center">22/8/2015</td>
                                <td class="text-center">recieved</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">Autogena</td>
                                <td class="text-center">RECEIVED</td>
                                <td class="text-center">RECEIVED</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- end panel -->
            <div class="section-container section-with-top-border">
                <div class="form-group">
                    <div class=" col-lg-6">
                        @*1)read 2)create read 3) update create read 4) delete update create read*@
                        @if (permission != null && permission.PermissionLevel > 1)
                        {
                            <button style="width: 150px;" ype="button" class="btn btn-grey btn-rounded m-b-5">On Hold</button>
                        }
                            
                        @if (permission != null && permission.PermissionLevel == 4)
                        {
                             <button style="width: 150px;" ype="button" class="btn btn-inverse btn-rounded m-b-5">Delete Project</button>
                        }
                        </div>
                </div>
            </div>
            <div style="margin-right:50px;" class="text-right">
            </div>
            <div style="margin-right:50px;" class="text-right">
            </div>
        </div>
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2018 <b>Source Admin</b> All Right Reserved
        </div>
    </div>
